#include "../../../include/shared.hpp"
#include <PSX/GPU/gpu.hpp>
#include <stdio.h>

namespace ScreenCenter {
    using namespace JabyEngine;

    static const char*const ASCII = "!\"#$%&'()*+,-./0\n123456789:;<=>?@\nABCDEFGHIJKLMNOP\nQRSTUVWXYZ[\\]^_`\nabcdefghijklmnop\nqrstuvwxyz{|}~";

    static void setup() {}
    static void update() {
        auto cursor = FontWriter::update(Make::PositionI16(8, 8));

        FontWriter::bios_font_writer.write(cursor, ASCII);
    }
    static void render() {
        FontWriter::bios_font_writer.render();
    }

    void main() {
        setup();

        while(true) {
            update();
            GPU::swap_buffers_vsync(1);
            render();
        }
    }
}